Description: Bonjour,

Avant toute chose, merci pour ce magnifique outil que je découvre depuis peu.

En AMC-TXT, je souhaite créer un sujet en prenant QA questions au hasard dans un groupe GA contenant
NA questions (avec NA >>QA) et QB questions dans un groupe GB contenant NB questions (avec NB >>QB)
et ainsi de suite. Cela est possible en Latex mais je n'ai pas vu d'équivalent en AMC-TXT dans la
documentation ou les forums. Est ce possible ?

Ensuite, il serait intéressant de pouvoir enregistrer chaque groupe de questions dans un fichier annexe
(GA.txt, GB.txt) et d'y faire référence dans le fichier AMC-TXT simplement en faisant de l'inclusion de fichiers.
Cette feature rejoint la feature ouverte #54 qui souhaite créé une base de données.

Est ce possible ? sinon est ce en perspective ?

Merci encore
Denis

History

09/12/2013 03:53 pm - Alexis Bienveniie
- Target version changed from 1.2.1 to 1.3.0

Cela n'est pas possible pour l'instant en AMC-TXT. Mais cela semble jouable: je transforme votre demande en feature request.
Voulez-vous que les QA questions choisies dans le groupe A différent d'une copie a l'autre ?

09/12/2013 03:53 pm - Alexis Bienveniie

- Tracker changed from Support to Feature

09/12/2013 04:08 pm - Denis Pallez

L'idée est d'avoir la meme fonctionnalité que celle de Latex et si j'ai bien compris I'option Latex, il me semble que les QA questions varient d'une copie
a l'autre. On peut méme imaginer une option qui 'autorise ou pas.

Merci pour cette réponse ultra-rapide

09/15/2013 11:31 pm - Alexis Bienveniie
- Status changed from New to Feedback

Avec la révision r1446, vous pouvez essayer @numaquestions=5@ pour restreindre le nombre de questions d'un groupe a 5 (si le groupe set mélangé,
les 5 questions seront choisies au hasard), et @IncludeFile: ga.txt@ pour inclure le contenu d'un autre fichier.
Vous devrez cependant faire trés attention si vous incluez un méme fichier depuis plusieurs projets ! Si vous en modifiez le contenu, cela affectera tous

les projets en méme temps...
08/20/2014 02:40 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from Feedback to Closed
